Bug 121615 - xawtv does not work anymore
xawtv does not work anymore
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xawtv (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
David Lawrence
:
Depends On:
Blocks: FC3BugWeekTracker
  Show dependency treegraph
 
Reported: 2004-04-23 17:00 EDT by Enrico Scholz
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-28 17:34:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2004-04-23 17:00:37 EDT
Description of problem:

| $ xawtv
| This is xawtv-3.91, running on Linux/i686 (2.4.26ensc-1)
| X Error of failed request:  BadMatch (invalid parameter attributes)
|   Major opcode of failed request:  129 (GLX)
|   Minor opcode of failed request:  5 (X_GLXMakeCurrent)
|   Serial number of failed request:  553
|   Current serial number in output stream:  553


Using the '-nogl' option helps, but the old settings and programs
worked fine with XFree86.


For configuration details see bug #121613



Version-Release number of selected component (if applicable):

xorg-x11-6.7.0-0.5
Comment 1 Mike A. Harris 2004-05-06 00:57:36 EDT
BadMatch is an Xlib error indicating that the application passed
invalid data to X somehow.  This is most likely an xawtv
application bug or a bug in a library that calls one of the X APIs.

I should note also though, that according to bug #121613 you're not
using a Red Hat kernel.  It's possible that the modified kernel
you're using may be causing this problem, but it's also possible
that the problem may occur with any kernel.  Either way, we'll
probably need to eliminate the custom kernel as a possibility first,
as this relates to hardware.  As such, please try to use the
official Red Hat kernel, or if that is not possible, if you can get
someone to reproduce the problem on another system, using similar
hardware with official Red Hat rpms, that would be helpful
data as well.

Reassigning to xawtv component for package maintainer to try to
reproduce and troubleshoot xawtv and narrow the problem down.
Comment 3 Marcin Garski 2004-09-28 17:34:25 EDT
Thanks for the bug report. However, Red Hat no longer included xawtv
in Fedora Core. It has been replaced by tvtime.
Please upgrade to the latest version of Fedora Core and open a new bug
if the problem also occur in tvtime.

If you still use xawtv and this bug still persists, please report the
problem in upstream bug tracker or on mailing list
(usualy they can be found on xawtv website
http://linux.bytesex.org/xawtv/).
If the project don't have bug tracker and mailing list, you should
sent bug report by email to xawtv maintainer.
Also Fedora Legacy Project (http://fedoralegacy.org/) maintains some
older releases, and if you believe this bug is interesting to them,
please report the problem in the bug tracker at:
http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.